Bug 36467 - fast/loader/stateobjects/replacestate-in-iframe.html caused infinite loop.
Summary: fast/loader/stateobjects/replacestate-in-iframe.html caused infinite loop.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P1 Normal
Assignee: Nobody
URL:
Keywords: LayoutTestFailure, Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2010-03-22 16:47 PDT by Csaba Osztrogonác
Modified: 2011-03-16 02:44 PDT (History)
5 users (show)

See Also:


Attachments
patch (1.81 KB, patch)
2011-03-15 10:28 PDT, Luiz Agostini
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Csaba Osztrogonác 2010-03-22 16:47:03 PDT
fast/loader/stateobjects/replacestate-in-iframe.html introduced in
http://trac.webkit.org/changeset/56365 and caused infinite loop
on Qt bot. It generates output continously, so it isn't stopped
by perl script.

never ending output is:
...
ALERT: Navigating back...
main frame - has 1 onunload handler(s)
frame "<!--framePath //<!--frame0-->-->" - has 1 onunload handler(s)
...

similar results on GTK: (very long output, but finite runtime)
http://build.webkit.org/results/GTK%20Linux%2032-bit%20Release/r56367%20%2810191%29/results.html
Comment 1 Csaba Osztrogonác 2010-03-22 16:52:07 PDT
Skipped until fix: http://trac.webkit.org/changeset/56369
Comment 2 Robert Hogan 2011-01-24 12:01:55 PST
This is passing now. Looks safe to unskip.
Comment 3 Luiz Agostini 2011-03-15 10:28:59 PDT
Created attachment 85824 [details]
patch
Comment 4 WebKit Commit Bot 2011-03-16 02:44:45 PDT
Comment on attachment 85824 [details]
patch

Clearing flags on attachment: 85824

Committed r81232: <http://trac.webkit.org/changeset/81232>
Comment 5 WebKit Commit Bot 2011-03-16 02:44:50 PDT
All reviewed patches have been landed.  Closing bug.